Name:          librevenge
Version:       0.0.4
Release:       13
Summary:       Library for writing document import filters
License:       (LGPLv2+ or MPLv2.0) and BSD
URL:           http://sourceforge.net/p/libwpd/wiki/librevenge/
Source:        http://downloads.sourceforge.net/libwpd/librevenge-%{version}.tar.xz
BuildRequires: boost-devel doxygen gcc-c++ pkgconfig(cppunit) pkgconfig(zlib)
Requires:      gdb python3-six
Provides:      librevenge-gdb = %{version}-%{release}
Obsoletes:     librevenge-gdb < %{version}-%{release}

%description
librevenge is a basic library for creating document input filters.
There are interfaces for text documents, vector graphics, and presentations.

%package       devel
Summary:       Libraries and header files for librevenge
Requires:      librevenge = %{version}-%{release}

%description   devel
The librevenge-devel package contains header files and development files
for librevenge.

%package       help
Summary:       API documentation of librevenge
BuildArch:     noarch
Provides:      librevenge-doc = %{version}-%{release}
Obsoletes:     librevenge-doc < %{version}-%{release}

%description   help
API documentation of librevenge

%prep
%autosetup -p1

%build
%configure --disable-silent-rules --disable-static --disable-werror --enable-pretty-printers
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install
%delete_la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
make check

%files
%license COPYING.*
%{_libdir}/*.so.*
%{_datadir}/gdb/auto-load%{_libdir}/*.py*
%dir %{_datadir}/librevenge
%{_datadir}/librevenge/python

%files devel
%{_includedir}/librevenge-0.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%files help
%doc README NEWS ChangeLog
%doc docs/doxygen/html
%exclude %{_docdir}/librevenge

%changelog
* Fri Dec 13 2019 zhujunhao <zhujunhao5@huawei.com> 0.0.4-13
- Package init
